Page MenuHomePhabricator

Improve record size on cassandra storage for pageview API data (RESTBase changes) {slug} [8 pts]
Closed, ResolvedPublic

Event Timeline

Nuria created this task.Oct 21 2015, 6:17 PM
Nuria assigned this task to Milimetric.
Nuria raised the priority of this task from to High.
Nuria updated the task description. (Show Details)
Nuria added a subscriber: Nuria.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2015, 6:17 PM
Milimetric moved this task from In Progress to Done on the Analytics-Kanban board.
kevinator renamed this task from Improve record size on cassandra storage for pageview API data to Improve record size on cassandra storage for pageview API data {slug}.Oct 29 2015, 8:47 PM
kevinator set Security to None.
Nuria added a comment.EditedOct 30 2015, 3:05 PM

Flatening table, instead of 16 rows there is one row that includes a dictionary: https://github.com/wikimedia/restbase/pull/381

Testing and update of tests

Conversations about how to save space.

Nuria renamed this task from Improve record size on cassandra storage for pageview API data {slug} to Improve record size on cassandra storage for pageview API data (RESTBase changes) {slug}.Oct 30 2015, 3:06 PM
Milimetric renamed this task from Improve record size on cassandra storage for pageview API data (RESTBase changes) {slug} to Improve record size on cassandra storage for pageview API data (RESTBase changes) {slug} [8 pts].Oct 30 2015, 3:07 PM
Nuria closed this task as Resolved.Nov 2 2015, 5:02 PM